<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="agent">
            <h2><span>Agent</span> {{ agent.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Agent Id</span></dt>
                <dd>
                    <span>{{ agent.agentId }}</span>
                </dd>
                <dt><span>Type</span></dt>
                <dd>
                    <span>{{ agent.type }}</span>
                </dd>
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ agent.name }}</span>
                </dd>
                <dt><span>Address</span></dt>
                <dd>
                    <span>{{ agent.address }}</span>
                </dd>
                <dt><span>Fax</span></dt>
                <dd>
                    <span>{{ agent.fax }}</span>
                </dd>
                <dt><span>Phone</span></dt>
                <dd>
                    <span>{{ agent.phone }}</span>
                </dd>
                <dt><span>Website</span></dt>
                <dd>
                    <span>{{ agent.website }}</span>
                </dd>
                <dt><span>Email</span></dt>
                <dd>
                    <span>{{ agent.email }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ agent.status }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/agent', agent.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
